#ifndef __PROP_H
#define __PROP_H

// CPU clock frequence
#define F_CPU 4000000UL

// Boolean
#define TRUE 1
#define FALSE 0

// defines for debouncing
#define KEY_DDR         DDRD
#define KEY_PORT        PORTD
#define KEY_PIN         PIND
#define KEY0            5	//schliessen Knopf
#define KEY1            6	//oeffnen Knopf
#define KEY2            7	//Licht Knopf
#define ALL_KEYS        (1<<KEY0 | 1<<KEY1 | 1<<KEY2)
//#define DCF				 3		// DFC Siganl Eingang
#define REPEAT_MASK     (1<<KEY0 | 1<<KEY1 | 1<<KEY2)       // repeat enable: key1, key2 
#define REPEAT_START    255                        // after ?ms (70=  500ms)
#define REPEAT_NEXT     01                        // every 10ms
#define SWTH_DDR        DDRB	// Schalterregister
#define SWTH_PORT       PORTB	// Schalterport
#define SWTH0            0		// Licht
#define SWTH1            1		// oeffnen
#define SWTH2            2		// schliessen
#define ALL_SWTH		(1<<SWTH0 | 1<<SWTH1 | 1<<SWTH2)

#endif
